TimeSeries — GET /timeseries/profile-parser

What it does

Lists or inspects available profile parsers, these are the rules or logic used to interpret profile data formats.

Profile parsers explain how to read text output from data loggers. While parameter values for profile instance data are stored in CWMS time series, the data often arrives in non-standard format. For example:

  • GOES transmissions decoded by third-party software

  • Data stored directly in the database or encoded as SHEF for CWMS processing.

Profiles consist of identifiable instances instead of a continuous time series. Profile parsers make it possible to store these instances by using the text exported from a data logger.

When to use

  • To discover available parsers before requesting a specific profile parser by its ID.

GET /timeseries/profile - Endpoint Parameters

Parameter

Description

Required

office-mask

office-mask

location-mask

location-mask

parameter-id-mask

parameter-id-mask

Examples

  • List available parsers for your office:

GET /timeseries/profile-parser?office=HQ

See the consolidated API documentation: API References.